package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

/**
 * 农产品出库登记单对象 SpmOrder
 * 
 * @author 杨晓辉
 * @date 2023-07-06
 */
public class SpmOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 出库登记单订单标识 */
    private String orderId;

    /** 客户标识 */
    @Excel(name = "客户标识")
    private String customerId;

    /** 库存标识 */
    @Excel(name = "库存标识")
    private String stockId;

    /** 出库登记单订单状态 */
    @Excel(name = "出库登记单订单状态")
    private String orderStatus;

    /**销售单号*/
    private String orderNo;

    /** 出库登记单销售数量 */
    @Excel(name = "出库登记单销售数量")
    private Long orderGoodscount;

    /** 出库登记单订单生成时间 */
    @Excel(name = "出库登记单订单生成时间")
    private String orderCreateddate;

    /** 出库登记单发货时间 */
    @Excel(name = "出库登记单发货时间")
    private String orderSenddate;

    /** 出库登记单生成溯源码个数 */
    @Excel(name = "出库登记单生成溯源码个数")
    private Long orderTracecodenum;

    /** 出库登记单发货方式 */
    @Excel(name = "出库登记单发货方式")
    private Long orderSendtype;

    /** 出库登记单收货人姓名 */
    @Excel(name = "出库登记单收货人姓名")
    private String orderConsigneerealname;

    /** 出库登记单联系电话 */
    @Excel(name = "出库登记单联系电话")
    private String orderConsigneetelphone;

    /** 出库登记单收货地址 */
    @Excel(name = "出库登记单收货地址")
    private String orderConsigneeaddress;

    /** 出库登记单收货省份 */
    @Excel(name = "出库登记单收货省份")
    private String orderConsigneeprovince;

    /** 出库登记单收货市区 */
    @Excel(name = "出库登记单收货市区")
    private String orderConsigneecity;

    /** 出库登记单收货县区 */
    @Excel(name = "出库登记单收货县区")
    private String orderConsigneedistrict;

    /** 出库登记单车牌号 */
    @Excel(name = "出库登记单车牌号")
    private String orderLogisticsplate;

    /** 出库登记单物流单号 */
    @Excel(name = "出库登记单物流单号")
    private String orderLogisticsNo;

    /** 出库登记单备注信息 */
    @Excel(name = "出库登记单备注信息")
    private String orderRemark;

    /** 出库登记单发货方式详情 */
    @Excel(name = "出库登记单发货方式详情")
    private String orderSendtyperemark;

    /**预计送达方式*/
    private String orderExpectedarrivaldate;

    /** 物流费用 */
    private BigDecimal logisticsExpense;
    
    /** 订单金额 */
    private BigDecimal orderPrice;

    public String getOrderConsigneedistrict() {
        return orderConsigneedistrict;
    }

    public void setOrderConsigneedistrict(String orderConsigneedistrict) {
        this.orderConsigneedistrict = orderConsigneedistrict;
    }

    public String getOrderConsigneeprovince() {
        return orderConsigneeprovince;
    }

    public void setOrderConsigneeprovince(String orderConsigneeprovince) {
        this.orderConsigneeprovince = orderConsigneeprovince;
    }

    public String getOrderConsigneecity() {
        return orderConsigneecity;
    }

    public void setOrderConsigneecity(String orderConsigneecity) {
        this.orderConsigneecity = orderConsigneecity;
    }

    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId()
    {
        return orderId;
    }
    public void setCustomerId(String customerId)
    {
        this.customerId = customerId;
    }

    public String getCustomerId()
    {
        return customerId;
    }
    public void setStockId(String stockId)
    {
        this.stockId = stockId;
    }

    public String getStockId()
    {
        return stockId;
    }
    public void setOrderStatus(String orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus()
    {
        return orderStatus;
    }
    public void setOrderGoodscount(Long orderGoodscount)
    {
        this.orderGoodscount = orderGoodscount;
    }

    public Long getOrderGoodscount()
    {
        return orderGoodscount;
    }
    public void setOrderCreateddate(String orderCreateddate)
    {
        this.orderCreateddate = orderCreateddate;
    }

    public BigDecimal getOrderPrice() {
		return orderPrice;
	}

	public void setOrderPrice(BigDecimal orderPrice) {
		this.orderPrice = orderPrice;
	}

	public String getOrderCreateddate()
    {
        return orderCreateddate;
    }
    public void setOrderSenddate(String orderSenddate)
    {
        this.orderSenddate = orderSenddate;
    }

    public String getOrderSenddate()
    {
        return orderSenddate;
    }
    public void setOrderTracecodenum(Long orderTracecodenum)
    {
        this.orderTracecodenum = orderTracecodenum;
    }

    public Long getOrderTracecodenum()
    {
        return orderTracecodenum;
    }
    public void setOrderSendtype(Long orderSendtype)
    {
        this.orderSendtype = orderSendtype;
    }

    public Long getOrderSendtype()
    {
        return orderSendtype;
    }
    public void setOrderConsigneerealname(String orderConsigneerealname)
    {
        this.orderConsigneerealname = orderConsigneerealname;
    }

    public String getOrderConsigneerealname()
    {
        return orderConsigneerealname;
    }
    public void setOrderConsigneetelphone(String orderConsigneetelphone)
    {
        this.orderConsigneetelphone = orderConsigneetelphone;
    }

    public String getOrderConsigneetelphone()
    {
        return orderConsigneetelphone;
    }
    public void setOrderConsigneeaddress(String orderConsigneeaddress)
    {
        this.orderConsigneeaddress = orderConsigneeaddress;
    }

    public String getOrderConsigneeaddress()
    {
        return orderConsigneeaddress;
    }

    public void setOrderLogisticsplate(String orderLogisticsplate)
    {
        this.orderLogisticsplate = orderLogisticsplate;
    }

    public String getOrderLogisticsplate()
    {
        return orderLogisticsplate;
    }
    public void setOrderLogisticsNo(String orderLogisticsNo)
    {
        this.orderLogisticsNo = orderLogisticsNo;
    }

    public String getOrderLogisticsNo()
    {
        return orderLogisticsNo;
    }
    public void setOrderRemark(String orderRemark)
    {
        this.orderRemark = orderRemark;
    }

    public String getOrderRemark()
    {
        return orderRemark;
    }
    public void setOrderSendtyperemark(String orderSendtyperemark)
    {
        this.orderSendtyperemark = orderSendtyperemark;
    }

    public String getOrderSendtyperemark()
    {
        return orderSendtyperemark;
    }

    public void setOrderExpectedarrivaldate(String orderExpectedarrivaldate){
        this.orderExpectedarrivaldate = orderExpectedarrivaldate;
    }
    public String getOrderExpectedarrivaldate(){
        return this.orderExpectedarrivaldate;
    }

    public void setOrderNo(String orderNo){
        this.orderNo = orderNo;
    }

    public String getOrderNo(){
        return this.orderNo;
    }

    public BigDecimal getLogisticsExpense() {
        return logisticsExpense;
    }

    public void setLogisticsExpense(BigDecimal logisticsExpense) {
        this.logisticsExpense = logisticsExpense;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("customerId", getCustomerId())
            .append("stockId", getStockId())
            .append("orderStatus", getOrderStatus())
            .append("orderGoodscount", getOrderGoodscount())
            .append("orderCreateddate", getOrderCreateddate())
            .append("orderSenddate", getOrderSenddate())
            .append("orderTracecodenum", getOrderTracecodenum())
            .append("orderSendtype", getOrderSendtype())
            .append("orderConsigneerealname", getOrderConsigneerealname())
            .append("orderConsigneetelphone", getOrderConsigneetelphone())
            .append("orderConsigneeaddress", getOrderConsigneeaddress())
            .append("orderLogisticsplate", getOrderLogisticsplate())
            .append("orderLogisticsNo", getOrderLogisticsNo())
            .append("orderRemark", getOrderRemark())
            .append("orderSendtyperemark", getOrderSendtyperemark())
            .append("orderExpectedarrivaldate",getOrderExpectedarrivaldate())
            .append("logisticsExpense",getLogisticsExpense())
            .toString();
    }
}
